export declare type ClientIdParam = {};
export declare type CookieIdParam = {};
export declare type Error = {
    [key: string]: any;
} & {
    code: string;
    errors: Array<object>;
    msg: string;
};
export declare type ProductForView = {
    [key: string]: any;
} & {
    id: string;
    sku?: string;
    altId?: string;
    altIdType?: string;
};
export declare type ProductForCheckout = {
    [key: string]: any;
} & {
    id: string;
    sku: string;
    price: any;
    quantity: number;
};
export declare type UserIdParam = {};
export declare type SiteIdParam = {};
export declare type Recommender = {
    [key: string]: any;
} & {
    name: string;
    description?: string;
};
export declare type ClientIpParam = {};
export declare type ZoneResponse = {
    [key: string]: any;
} & {
    recs: Array<object>;
    recommenderName: string;
    displayMessage?: string;
};
export declare type RecommendersResponse = {
    [key: string]: any;
} & {
    recommenders: Array<object>;
};
export declare type ActivityResponse = {
    [key: string]: any;
} & {
    uuid: string;
};
export declare type UuidParam = {};
export declare type ClientUserAgentParam = {};
export declare type RecommendationsResponse = {
    [key: string]: any;
} & {
    recs: Array<object>;
    displayMessage?: string;
};
//# sourceMappingURL=einsteinApiQuickStartGuide.types.d.ts.map