export declare type Money = {
    [key: string]: any;
} & {
    currencyMnemonic?: any;
    value?: number;
};
export declare type CountryCode = {};
export declare type SimpleSearchResult = {
    [key: string]: any;
} & {
    limit: number;
    offset: number;
    total: number;
    hits?: Array<object>;
};
export declare type SiteId = {};
export declare type SearchRequest = {
    [key: string]: any;
} & {
    query: any;
    limit?: number;
    sorts?: Array<object>;
    offset?: number;
};
export declare type LanguageCode = {};
export declare type PaginatedSearchResult = {
    [key: string]: any;
} & {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    hits?: Array<object>;
};
export declare type ErrorResponse = {
    [key: string]: any;
} & {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
};
export declare type Offset = {};
export declare type Limit = {};
export declare type GiftCertificate = {
    [key: string]: any;
} & {
    amount?: {
        [key: string]: any;
    } & {
        currencyMnemonic: string;
        value: number;
    };
    balance?: {
        [key: string]: any;
    } & {
        currencyMnemonic: string;
        value: number;
    };
    creationDate?: any;
    description?: string;
    enabled?: boolean;
    lastModified?: any;
    maskedGiftCertificateCode?: string;
    merchantId?: string;
    message?: string;
    orderNo?: string;
    recipientEmail?: string;
    recipientName?: string;
    senderName?: string;
    status?: string;
    transactions?: Array<object>;
};
export declare type GiftCertificateSearchResult = {
    [key: string]: any;
} & {
    hits: Array<object>;
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
};
export declare type AccountTransaction = {
    [key: string]: any;
} & {
    amount: {
        [key: string]: any;
    } & {
        currencyMnemonic: string;
        value: number;
    };
    orderNo: string;
    timestamp: any;
    typeCode: string;
};
export declare type GiftCertificates = {
    [key: string]: any;
} & {
    offset: number;
    limit: number;
    data?: Array<object>;
    total?: number;
};
//# sourceMappingURL=giftCertificates.types.d.ts.map