export declare type SiteId = {};
export declare type SearchRequest = {
    [key: string]: any;
} & {
    query: any;
    limit?: number;
    sorts?: Array<object>;
    offset?: number;
};
export declare type PaginatedSearchResult = {
    [key: string]: any;
} & {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    previous?: {
        [key: string]: any;
    } & {
        limit: number;
        offset: number;
    };
    hits?: Array<object>;
    next?: {
        [key: string]: any;
    } & {
        limit: number;
        offset: number;
    };
};
export declare type SimpleSearchResult = {
    [key: string]: any;
} & {
    limit: number;
    offset: number;
    total: number;
    hits?: Array<object>;
};
export declare type ErrorResponse = {
    [key: string]: any;
} & {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
};
export declare type Offset = {};
export declare type Limit = {};
export declare type GiftCertificate = {
    [key: string]: any;
} & {
    amount: number;
    balance: number;
    enabled: boolean;
    maskedGiftCertificateCode: string;
    merchantId: string;
    recipientEmail: string;
    recipientName: string;
    senderName: string;
    status: string;
    description?: string;
    message?: string;
};
export declare type GiftCertificateRequest = {
    [key: string]: any;
} & {
    giftCertificateCode: string;
};
//# sourceMappingURL=shopperGiftCertificates.types.d.ts.map