export declare type Money = {
    [key: string]: any;
} & {
    currencyMnemonic?: any;
    value?: number;
};
export declare type CountryCode = {};
export declare type SimpleSearchResult = {
    [key: string]: any;
} & {
    limit: number;
    offset: number;
    total: number;
    hits?: Array<object>;
};
export declare type SiteId = {};
export declare type SearchRequest = {
    [key: string]: any;
} & {
    query: any;
    limit?: number;
    sorts?: Array<object>;
    offset?: number;
};
export declare type LanguageCode = {};
export declare type PaginatedSearchResult = {
    [key: string]: any;
} & {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    hits?: Array<object>;
};
export declare type ErrorResponse = {
    [key: string]: any;
} & {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
};
export declare type Offset = {};
export declare type Limit = {};
export declare type SourceCodeGroup = {
    [key: string]: any;
} & {
    id: string;
    active?: boolean;
    activeRedirect?: {
        [key: string]: any;
    } & {
        locationType: string;
    };
    cookieDuration?: number;
    creationDate?: any;
    description?: string;
    enabled?: boolean;
    endTime?: any;
    inactiveRedirect?: {
        [key: string]: any;
    } & {
        locationType: string;
    };
    lastModified?: any;
    specifications?: Array<object>;
    startTime?: any;
};
export declare type SourceCodeGroupSearchResult = {
    [key: string]: any;
} & {
    hits: Array<object>;
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
};
export declare type SourceCodeRedirectInfo = {
    [key: string]: any;
} & {
    locationType: string;
};
export declare type SourceCodeSpecification = {
    [key: string]: any;
} & {
    expression: string;
};
//# sourceMappingURL=sourceCodeGroups.types.d.ts.map